<?php

namespace App\Models;

use CodeIgniter\Model;

class Model_kategori_pelatihan extends Model
{
    public function all_data()
    {
        return $this->db->table('tbl_kategori_pelatihan')
            ->orderBy('id_kategori_pelatihan', 'DESC')
            ->get()
            ->getResultArray();
    }

    public function add($data)
    {
        $this->db->table('tbl_kategori_pelatihan')->insert($data);
    }

    public function edit($data)
    {
        $this->db->table('tbl_kategori_pelatihan')
            ->where('id_kategori_pelatihan', $data['id_kategori_pelatihan'])
            ->update($data);
    }

    public function delete_data($data)
    {
        $this->db->table('tbl_kategori_pelatihan')
            ->where('id_kategori_pelatihan', $data['id_kategori_pelatihan'])
            ->delete($data);
    }
}
